# $Revision: 1.16 $, $Date: 2011/04/26 17:35:06 $
Summary:	XCB support library
Summary(pl.UTF-8):	Biblioteka wspomagająca XCB
Name:		xcb-util
Version:	0.3.8
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
# Source0-md5:	8ce019c4bbf20dce246b98f177cfccff
URL:		http://xcb.freedesktop.org/XcbUtil/
BuildRequires:	gperf
BuildRequires:	libxcb-devel >= 1.4
BuildRequires:	m4
BuildRequires:	pkgconfig
BuildRequires:	xcb-proto >= 1.6
BuildRequires:	xorg-proto-xproto-devel >= 7.0.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

XCB util module provides the following library:
- aux: Convenient access to connection setup and some core requests.
- atom: Standard core X atom constants and atom caching.
- event: Callback X event handling.

%description -l pl.UTF-8
xcb-util udostępnia wiele bibliotek opartych powyżej libxcb (głównej
biblioteki protokołu X) oraz trochę bibliotek rozszerzeń. Te
eksperymentalne biblioteki udostępniają wygodne funkcje i interfejsy
czyniące surowy protokół X bardziej używalnym. Niektóre biblioteki
udostępniają także kod kliencki nie będący ściśle częścią protokołu X,
ale tradycyjnie dostarczany przez Xlib.

Moduł XCB util udostępnia następujące biblioteki:
- aux: wygodny dostęp do konfiguracji połączenia i niektórych głównych
  żądań.
- atom: standardowe stałe atomowe X i buforowanie atomowe.
- event: obsługa wywołań zwrotnych dla zdarzeń X.

%package devel
Summary:	Header files for XCB util library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki XCB util
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxcb-devel >= 1.4

%description devel
Header files for XCB util library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki XCB util.

%package static
Summary:	Static XCB util library
Summary(pl.UTF-8):	Statyczna biblioteka XCB util
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XCB util library.

%description static -l pl.UTF-8
Statyczna biblioteka XCB util.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libxcb-util.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxcb-util.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxcb-util.so
%{_libdir}/libxcb-util.la
%{_includedir}/xcb/xcb_atom.h
%{_includedir}/xcb/xcb_aux.h
%{_includedir}/xcb/xcb_bitops.h
%{_includedir}/xcb/xcb_event.h
%{_includedir}/xcb/xcb_util.h
%{_pkgconfigdir}/xcb-atom.pc
%{_pkgconfigdir}/xcb-aux.pc
%{_pkgconfigdir}/xcb-event.pc
%{_pkgconfigdir}/xcb-util.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxcb-util.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xcb-util.spec,v $
Revision 1.16  2011/04/26 17:35:06  qboosh
- more specific URL

Revision 1.15  2011/04/26 17:34:03  qboosh
- updated to 0.3.8
- icccm,image,keysyms,render-util libs have been moved to separate repos (specs pending)
- atom,aux,event consolidated in new single libxcb-util library

Revision 1.14  2009/12/07 16:07:22  sparky
- BR: m4

Revision 1.13  2009/12/07 16:02:16  qboosh
- release 2

Revision 1.12  2009/09/29 21:08:46  qboosh
- updated BRs (libxcb and xproto versions)

Revision 1.11  2009/08/25 20:20:00  uzsolt
- 0.3.6
- stbr plese (needed by awesome)

Revision 1.10  2009/05/29 07:16:59  arekm
- up to 0.3.5

Revision 1.9  2009/05/26 15:57:25  pawelz
- up to 0.3.4
- libxcb-keysyms SONAME was changed to .1
- libxcb-wm disappeared (?)

Revision 1.8  2009/01/31 17:17:38  arekm
- up to 0.3.3

Revision 1.7  2008/12/16 14:16:06  deejay1
- up to 0.3.2

Revision 1.6  2008/11/20 16:18:31  arekm
- up to 0.3.1

Revision 1.5  2008/09/18 14:56:42  qboosh
- updated to 0.3.0 (note: some sonames changed)

Revision 1.4  2008/08/01 20:29:49  qboosh
- more verbose lib files, ghost soname symlinks

Revision 1.3  2008/08/01 18:24:00  arekm
- up to 0.2.1

Revision 1.2  2007/03/08 08:01:17  qboosh
- pl
- /usr/include/xcb dir belongs to libxcb

Revision 1.1  2007/03/07 16:48:22  arekm
- initial pld release
